- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Properties

# QSequentialAnimationGroup Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qsequentialanimationgroup.h.

`#include <qsequentialanimationgroup.h>`

Inheritance diagram for QSequentialAnimationGroup:
[legend]

List of all members.

## Signals
void | currentAnimationChanged (QAbstractAnimation *current)
## Public Member Functions
| QSequentialAnimationGroup (QObject *parent=0)
| ~QSequentialAnimationGroup ()
QPauseAnimation * | addPause (int msecs)
QPauseAnimation * | insertPause (int index, int msecs)
QAbstractAnimation * | currentAnimation () const
int | duration () const
## Protected Member Functions
| QSequentialAnimationGroup (QSequentialAnimationGroupPrivate &dd, QObject *parent)
bool | event (QEvent *event)
void | updateCurrentTime (int)
void | updateState (QAbstractAnimation::State newState, QAbstractAnimation::State oldState)
void | updateDirection (QAbstractAnimation::Direction direction)
## Properties
QAbstractAnimation | currentAnimation

## Constructor & Destructor Documentation

QSequentialAnimationGroup | ( | QObject * | parent = `0` | ) |

~QSequentialAnimationGroup | ( |  | ) |

QSequentialAnimationGroup | ( | QSequentialAnimationGroupPrivate & | dd,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

QPauseAnimation* addPause | ( | int | msecs | ) |

Search for all occurrences

QPauseAnimation* insertPause | ( | int | index,
|  | int | msecs
| ) |  |

Search for all occurrences

QAbstractAnimation* currentAnimation | ( |  | ) | const

Search for all occurrences

int duration | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractAnimation.

void currentAnimationChanged | ( | QAbstractAnimation * | current | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAnimationGroup.

void updateCurrentTime | ( | int |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractAnimation.

void updateState | ( | QAbstractAnimation::State | newState,
|  | QAbstractAnimation::State | oldState
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

void updateDirection | ( | QAbstractAnimation::Direction | direction | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

## Property Documentation

QAbstractAnimation currentAnimation `[read]`

Search for all occurrences

Definition at line 61 of file qsequentialanimationgroup.h.

The documentation for this class was generated from the following file:

- QtCore/qsequentialanimationgroup.h

QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup
QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup QSequentialAnimationGroup